Check CrowdSec protection status for your VPS.

Check the status of CrowdSec, a security system protecting your virtual server (VPS) from attacks. You can see if protection is active and which IP addresses are potentially blocked or excluded from blocking.

VPS Services VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.ip_statuses array<object> required · Example: [{"ip":"192.0.0.1","is_opted_out":false,"opt_out_date":null}]
data.ip_statuses[].ip string required · Example: 192.0.0.1
data.ip_statuses[].is_opted_out boolean required · Example: false
data.ip_statuses[].opt_out_date string · nullable required · Example: 2026-02-10 00:00:00

Nullable: may be null when not applicable.

data.ips array<string> required · Example: ["192.0.0.1"]
data.opted_out_count integer required · Example: 0
data.protection_active boolean required · Example: true
data.total_ips integer required · Example: 1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/crowdsec
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/crowdsec" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "ips": [
      "192.0.0.1"
    ],
    "ip_statuses": [
      {
        "ip": "192.0.0.1",
        "is_opted_out": false,
        "opt_out_date": null
      }
    ],
    "protection_active": true,
    "total_ips": 1,
    "opted_out_count": 0
  }
}